.related-products {
  display: block;
  overflow: hidden;
  padding: clamp(45px, 5vw, 90px) 0 clamp(40px, 5vw, 85px);

  .swiper--related-products {
    padding-inline: calc(100vw * 24 / 1920);

    @media (max-width: 768px) {
      overflow: visible;
      padding-inline: 16px;
    }
  }

  .swiper-wrapper {
    display: grid;
    grid-template-columns: repeat(4, minmax(0, 1fr));
    gap: 12px;

    @media (max-width: 768px) {
      display: flex;
      gap: 0;
    }
  }

  .swiper-slide {
    min-width: 0;

    @media (max-width: 768px) {
      width: 300px;
    }
  }

  @media (max-width: 768px) {
    padding: 30px 0 48px;
  }
}
